# Interface Observer<T>

interface Observer<T> {
complete?(): void;
error?(errorValue: any): void;
next?(value: T): void;
start?(subscription: Subscription): any;
}

#### Type Parameters

- T

- Defined in work/deeplinks/deeplinks/imports/client.tsx:415

#####
Index

### Methods

complete?
error?
next?
start?

##
Methods

### `Optional` complete

- complete(): void

- #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:419

### `Optional` error

- error(errorValue): void

- #### Parameters

  - errorValue: any

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:418

### `Optional` next

- next(value): void

- #### Parameters

  - value: T

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:417

### `Optional` start

- start(subscription): any

- #### Parameters

  - subscription: Subscription

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:416